%define targetfile /etc/yum.d/yum.cron.excludes

Summary: Have autoupdate update the kernel and it's dependancies
Name: zz_auto_update_kernel
Version: 1.0
Release: 1
License: GPL
Group: Fermi
BuildArch: noarch
Requires: sysklogd

%description
By default, the autoupdate script excludes the kernel and kernel
dependancies, such as gfs and firmware.  This script takes those
exclusions out, so that they will be automatically be updated.
It does not reboot the computer.  So even after the kernel is 
updated, the computer still needs to be booted into the new kernel.

%triggerin -- yum-autoupdate
if [ -f %{targetfile} ] ; then
	if `grep -q kernel %{targetfile}` ; then
		sed -i -e "s:kernel\*::"  %{targetfile}
	fi
	if `grep -q openafs %{targetfile}` ; then
		sed -i -e "s:openafs\*::"  %{targetfile}
	fi
	if `grep -q kmdl %{targetfile}` ; then
		sed -i -e "s:\*-kmdl-\*::"  %{targetfile}
	fi
	if `grep -q kmod %{targetfile}` ; then
		sed -i -e "s:kmod-\*::"  %{targetfile}
	fi
	if `grep -q GFS %{targetfile}` ; then
		sed -i -e "s:GFS\*::"  %{targetfile}
	fi
	if `grep -q cman %{targetfile}` ; then
		sed -i -e "s:cman\*::"  %{targetfile}
	fi
	if `grep -q dlm %{targetfile}` ; then
		sed -i -e "s:dlm\*::"  %{targetfile}
	fi
	if `grep -q gnbd %{targetfile}` ; then
		sed -i -e "s:gnbd\*::"  %{targetfile}
	fi
	if `grep -q firmware %{targetfile}` ; then
		sed -i -e "s:\*firmware\*::"  %{targetfile}
	fi
fi

%postun
if [ $1 -eq 0 ]; then
  if [ -f %{targetfile} ] ; then
	if ! `grep -q firmware %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=*firmware* :"  %{targetfile}
	fi
	if ! `grep -q gnbd %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=gnbd* :"  %{targetfile}
	fi
	if ! `grep -q dlm %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=dlm* :"  %{targetfile}
	fi
	if ! `grep -q cman %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=cman* :"  %{targetfile}
	fi
	if ! `grep -q openafs %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=openafs* :"  %{targetfile}
	fi
	if ! `grep -q kmdl %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=*-kmdl-* :"  %{targetfile}
	fi
	if ! `grep -q kmod %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=kmod-* :"  %{targetfile}
	fi
	if ! `grep -q GFS %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=GFS* :"  %{targetfile}
	fi
	if ! `grep -q kernel %{targetfile}` ; then
		sed -i -e "s:exclude=:exclude=kernel* :"  %{targetfile}
	fi
  fi
fi

%files

%changelog
* Fri Jun 05 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First go round
- Remove each part individually so that this can be more general and work 
  on more releases.
